BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "epg" (
  "serviceid" integer NOT NULL,
  "eventid" integer NOT NULL,
  "starttime" integer,
  "duration" integer,
  "encrypted" integer,
  "name" text default NULL,
  "descr" text default NULL,
  "warning" text default NULL,
  "contentcode" integer default 0,
  "contenttype" text default NULL,
  "ECRID" text default NULL,
  "SCRID" text default NULL,
  "RCRID" text default NULL
);

create index if not exists ServiceID on epg (serviceid);
create index if not exists EventID on epg (eventid);
create index if not exists ProgCRID on epg (ECRID);
create index if not exists SeriesCRID on epg (SCRID);
create index if not exists Tstamp on epg (starttime);
create index if not exists SvcEvt on epg (serviceid, eventid);
create index if not exists TstampSvc on epg (serviceid, starttime);

CREATE TABLE IF NOT EXISTS "epgtimestamp" (
  "lastfileprocessed" TEXT
);

delete from epg;


COMMIT;
